Subject: bug#19421: 25.0.50; doc string of `browse-url' must describe parameter ARGS

From: Drew Adams <[email-masked]>
Date: Sun, 27 Dec 2015 08:55:18 -0800 (PST)

>> > I fail to see how it is called interactively, since it is not a
> > command - it has no `interactive' spec.
> 
> It describes what will happen with the functions it calls, depending
> on the platform.  Those functions do have an interactive spec.

That is something entirely different from "when called interactively".
Such language is quite misleading.  At least it misled and confused me.

And is this doc string really the place to describe that?  (I don't
say that it is not, but certainly such info is secondary to describing
this function and its own arguments.)

> > And it refers to an "optional second argument NEW-WINDOW", but
> > the lambda list is (URL &rest ARGS), and the doc string in no
> > way introduces NEW WINDOW in terms of those parameters.
> 
> Please look at the current sources, you are talking about stuff I
> changed already.

OK great.  Please ignore any such ignorance.  I was referring to
the state before your changes, which I have not seen.